Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.plugin.impl
Class NullPlugin

    java.lang.Object
      org.openxri.config.impl.AbstractComponent
          org.openxri.plugin.impl.NullPlugin

All Implemented Interfaces:
  java.io.Serializable, Component, Plugin

    public class NullPlugin

extends AbstractComponent
implements Plugin

A plugin that can handle nothing. This is the default plugin.

Author:
  =peacekeeper
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.openxri.config.impl.AbstractComponent
`properties`

Constructor Summary
`NullPlugin(java.util.Properties properties)`

Method Summary
`void` | `init()` A server component is constructed by the ComponentRegistry by passing a Properties object to its constructor and then calling this init() method.
`boolean` | `processCustomRequest(javax.servlet.http.HttpServletRequest oReq, javax.servlet.http.HttpServletResponse oResp)` Process a request that is not an XRI lookup
`void` | `shutdown()`

Methods inherited from class org.openxri.config.impl.AbstractComponent
`getProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openxri.config.Component
`getProperties`

Constructor Detail

### NullPlugin

    public NullPlugin(java.util.Properties properties)

Method Detail

### init

    public void init()

  Description copied from interface: `Component`
  A server component is constructed by the ComponentRegistry by passing a Properties object to its constructor and then calling this init() method.

  Specified by:
    `init` in interface `Component`

### processCustomRequest

    public boolean processCustomRequest(javax.servlet.http.HttpServletRequest oReq,
                                        javax.servlet.http.HttpServletResponse oResp)
                                 throws java.io.IOException

  Description copied from interface: `Plugin`
  Process a request that is not an XRI lookup

  Specified by:
    `processCustomRequest` in interface `Plugin`
  Returns:
    True, if the plugin successfully handled the request.
  Throws:
    `java.io.IOException`

### shutdown

    public void shutdown()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.